#define UNIQUE_SIZE (1 << 20)
AIG *unique[UNIQUE_SIZE];

AIG **
find_aig (enum Tag tag, void *d0, void *d1)
{
  AIG *r, **p;
  unsigned h = (tag + ((int) d0) * 65537 + 13 * (int) d1);
  h = h & (UNIQUE_SIZE - 1);	/* modulo UNIQUE_SIZE */
  for (p = unique + h; (r = *p); p = &r->next)
    if (r->tag == tag && r->data[0] == d0 && r->data[1] == d1)
      break;

  return p;
}
