void
mark_node (Node * node, int new_value)
{
  if (node->mark == new_value)
    return;

  node->mark = new_value;
  switch (node->tag)
    {
    case VAR:
    case CONST:
      return;
    case NOT:
      mark_node (node->data.child[0], new_value);
      break;
    default:
      mark_node (node->data.child[0], new_value);
      mark_node (node->data.child[1], new_value);
      break;
    }
}
